Connectors
Update connector
Tenant-bound connector configuration. No provider requests. Credentials are masked. Mutations require the current revision where applicable. Referenced connections and nonempty connectors cannot be deleted. New custom connector and action creation requires workspace rollout enablement.
PATCH
/
connectors
/
{connectorId}
Update connector
curl --request PATCH \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"revision": 1,
"description": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}"
payload = {
"name": "<string>",
"revision": 1,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', revision: 1, description: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'revision' => 1,
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connector": {
"connectorId": "<string>",
"kind": "custom",
"name": "<string>",
"tenantId": "<string>",
"provider": "<string>",
"description": "<string>",
"revision": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"connectionCount": 123,
"attentionCount": 123,
"inventoryComplete": true,
"actionFamily": "http",
"hasActions": true
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Body
application/json
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I
Update connector
curl --request PATCH \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"revision": 1,
"description": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}"
payload = {
"name": "<string>",
"revision": 1,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', revision: 1, description: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'revision' => 1,
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"revision\": 1,\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connector": {
"connectorId": "<string>",
"kind": "custom",
"name": "<string>",
"tenantId": "<string>",
"provider": "<string>",
"description": "<string>",
"revision": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"connectionCount": 123,
"attentionCount": 123,
"inventoryComplete": true,
"actionFamily": "http",
"hasActions": true
}
}